Bug 437619 - Network eth devices unable to get IP address from DNS
Network eth devices unable to get IP address from DNS
Status: CLOSED DUPLICATE of bug 438046
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 06:12 EDT by Burkhard Holl
Modified: 2008-04-12 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 06:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trying to activate the eth1 device (1.23 KB, application/octet-stream)
2008-03-15 06:12 EDT, Burkhard Holl
no flags Details

  None (edit)
Description Burkhard Holl 2008-03-15 06:12:30 EDT
Description of problem:

Since changing to kernel version 2.6.24.3-12 the network devices eth0, and eth1
are inactive after system startup (note: eth0 are connected to a DNS to obtain
the IP address via dhcp; eth1 is a spare device with no cable connected). Trying
to activate the eth0 device after startup fails, because the ping command
timed-out. I wonder why the ifcfg files get renamed to .bak? The system seems
receiving the expected IP address (dhclient: Trying recorded lease
192.168.2.102), however not able the register this address ( avahi-daemon[1938]:
Interface eth0.IPv4 no longer relevant for mDNS. and Withdrawing address record
for fe80::211:9ff:fecb:f71e on eth0.). If trying to activate the eth1 device the
enclosed message appears. 
The eth devices are:
kernel: eth0: RTL8110s at 0xffffc200001fee00, 00:11:09:cb:f7:1e, XID 04000000 IRQ 16
kernel: eth1: RealTek RTL8139 at 0xffffc200001ecf00, 00:50:fc:a3:62:99, IRQ 17

The kernel version 2.6.23.15-137 works.


Version-Release number of selected component (if applicable):
kernel version 2.6.24.3-12
system-config-network 1.4.7

How reproducible:
After system startup trying to activate the eth devices

Steps to Reproduce:
1.Startup the system
2.Choose the network manager to active the eth devices
3.
  
Actual results:
eth devices are not activated via dhcp

Expected results:
The eth devices should be activated with the IP address from the DNS

Additional info:
Comment 1 Burkhard Holl 2008-03-15 06:12:30 EDT
Created attachment 298139 [details]
Trying to activate the eth1 device
Comment 2 Burkhard Holl 2008-03-24 07:44:29 EDT
I enclosed the information from message log file:
Mar 24 12:18:03 localhost kernel: r8169: eth0: link up
Mar 24 12:18:03 localhost dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Mar 24 12:18:04 localhost avahi-daemon[1937]: Registering new address record for
fe80::211:9ff:fecb:f71e on eth0.*.
Mar 24 12:18:06 localhost dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Mar 24 12:18:14 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 7
Mar 24 12:18:21 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 11
Mar 24 12:18:32 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 17
Mar 24 12:18:49 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 12
Mar 24 12:19:01 localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 14
Mar 24 12:19:15 localhost dhclient: No DHCPOFFERS received.
Mar 24 12:19:15 localhost dhclient: Trying recorded lease 192.168.2.102
Mar 24 12:19:15 localhost avahi-daemon[1937]: Joining mDNS multicast group on
interface eth0.IPv4 with address 192.168.2.102.
Mar 24 12:19:15 localhost avahi-daemon[1937]: New relevant interface eth0.IPv4
for mDNS.
Mar 24 12:19:15 localhost avahi-daemon[1937]: Registering new address record for
192.168.2.102 on eth0.IPv4.
Mar 24 12:19:18 localhost avahi-daemon[1937]: Withdrawing address record for
192.168.2.102 on eth0.
Mar 24 12:19:18 localhost avahi-daemon[1937]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 192.168.2.102.
Mar 24 12:19:18 localhost avahi-daemon[1937]: Interface eth0.IPv4 no longer
relevant for mDNS.
Mar 24 12:19:18 localhost avahi-daemon[1937]: Withdrawing address record for
fe80::211:9ff:fecb:f71e on eth0.
Comment 3 Harald Hoyer 2008-03-25 02:35:18 EDT
Mar 24 12:19:15 localhost dhclient: No DHCPOFFERS received.

Your DHCP server obviously does not answer.. Maybe the interface names have
swapped? Care to check?
Comment 4 Burkhard Holl 2008-03-27 14:24:59 EDT
It seems to be, that during system start-up the eth0 and eth1 devices are swapped:
eth0: RealTek RTL8139 at 0xffffc200001e6f00, 00:50:fc:a3:62:99, IRQ 17
eth1: RTL8110s at 0xffffc200001e8e00, 00:11:09:cb:f7:1e, XID 04000000 IRQ 16

However, this device swapping isn't always the case.

After system start-up the network manager tool shows the opposite assignment,
i.e. eth0 is the on-board RTL8110s device.

Performing the ifconfig command manually, i.e. ifconfig eth0 inet 192.168.2.255
netmask 255.255.255.0 broadcast 192.168.2.255, and start and stop the network
via /etc/init.d/network the network including the route is correctly configured,
and I'm able to connect to internet (I comment out the ping command ping -q -c 1
-w 10 -I $interface $1 in the dhclient-script).
Comment 5 Kai Hambrecht 2008-03-29 18:31:14 EDT
Same here. The interface, which is also a RTL8110s, does not get an IP via DHCP. 

eth0: RTL8110s at 0xffffc200001ec800, 00:0c:76:b3:91:fc, XID 04000000 IRQ 16

# dhclient -d
Internet Systems Consortium DHCP Client V3.0.6-Fedora
Copyright 2004-2007 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
Listening on LPF/eth0/00:0c:76:b3:91:fc
Sending on   LPF/eth0/00:0c:76:b3:91:fc
Sending on   Socket/fallback
DHCPREQUEST on eth0 to 255.255.255.255 port 67
DHCPREQUEST on eth0 to 255.255.255.255 port 67
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 7
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 12
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 12
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 7
No DHCPOFFERS received.


However, the DHCP server is answering:

dhcpd: DHCPREQUEST for 192.168.10.10 from 00:0c:76:b3:91:fc via eth0
dhcpd: DHCPACK on 192.168.10.10 to 00:0c:76:b3:91:fc via eth0
dhcpd: DHCPREQUEST for 192.168.10.10 from 00:0c:76:b3:91:fc via eth0
dhcpd: DHCPACK on 192.168.10.10 to 00:0c:76:b3:91:fc via eth0
dhcpd: DHCPDISCOVER from 00:0c:76:b3:91:fc via eth0
dhcpd: DHCPOFFER on 192.168.10.10 to 00:0c:76:b3:91:fc via eth0


After a while, i see this syslog message:

NETDEV WATCHDOG: eth0: transmit timed out
r8169: eth0: link up

Afterwards the interface works correctly and does also get an IP from DHCP.
Comment 6 Kai Hambrecht 2008-03-29 19:36:33 EDT
workaround described here helps: https://bugzilla.redhat.com/show_bug.cgi?id=438046

also this bug seems to have the same cause:
https://bugzilla.redhat.com/show_bug.cgi?id=436841
Comment 7 Harald Hoyer 2008-03-31 06:09:20 EDT

*** This bug has been marked as a duplicate of 438046 ***
Comment 8 Burkhard Holl 2008-03-31 16:08:13 EDT
*** The bug is not a duplication of 438046 ***

From reading the ongoing discussion on bug 436456, it's most likely a
duplication of this bug. 

The system-config-network shows the opposite assignments of eth0 and eth1 as
found  in the /var/log/message file.

I tried system-config-network version 1.5.91 for re-assigning eth0 and eth1, but
without any success.
Comment 9 Joe Nall 2008-04-01 23:02:17 EDT
I'm seeing this reversal also. Motherboard has 2 r8169 interfaces, both are
recognized during installation. eth0 and eth1 are swapped (eth0 MAC is in
ifcfg-eth1) on reboot.

After a reboot, neither interface is active. ifconfig eth0 up, dhclient eth0
brings the network up.

Note You need to log in before you can comment on or make changes to this bug.